org.gradle.api

## Interface Action<T>

- Type Parameters:
    `T` - The type of object which this action accepts.
  All Known Implementing Classes:
    BuildExceptionReporter

      public interface Action<T>

  Performs some action against objects of type T.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(T t)` Performs this action against the given object.

- - ### Method Detail

    - #### execute

          void execute(T t)

      Performs this action against the given object.
      Parameters:
        `t` - The object to perform the action on.